local factorio = import "factorio.libsonnet";
local kube = import "../../../../kube/kube.libsonnet";


// Available versions:
//  - 0.16.51-1
//  - 0.17.41-1
//  - 0.17.52-1
//  - 0.17.79-1
//  - 0.18.12-2
//  - 0.18.17-1

{
    local prod = self,

    namespace: kube.Namespace("factorio"),
    instance(name, tag):: factorio {
        cfg+: {
            namespace: "factorio",
            prefix: name + "-",
            tag: tag,
        }
    },

    q3k: prod.instance("q3k", "0.18.17-1"),
    ds: prod.instance("ds", "0.18.17-1"),
    pymods: prod.instance("pymods", "0.18.17-1"),
}
